Zum Hauptinhalt springen

Proposal Endpoints

Manage sales proposals for clients.

Base Path​

/api/proposal

Endpoints​

List Proposals​

GET /api/proposal
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
pagenumberPage number
limitnumberItems per page
statusstringDRAFT, SENT, ACCEPTED, REJECTED
organizationIdstringOrganization filter

Create Proposal​

POST /api/proposal
Authorization: Bearer {token}
{
"jobPostUrl": "https://example.com/job",
"valueDate": "2025-03-05",
"jobPostContent": "Full-stack developer position",
"proposalContent": "We propose to deliver...",
"status": "SENT",
"organizationContactId": "contact-uuid"
}

Update Proposal​

PUT /api/proposal/:id
Authorization: Bearer {token}

Delete Proposal​

DELETE /api/proposal/:id
Authorization: Bearer {token}

Proposal Statuses​

StatusDescription
DRAFTNot yet sent
SENTSent to client
ACCEPTEDClient accepted
REJECTEDClient rejected